Bug 1127600 - [Admin Portal]When Remove the last cluster in the right pane its not take effect in the left pane.
Summary: [Admin Portal]When Remove the last cluster in the right pane its not take eff...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Alexander Wels
QA Contact: Jiri Belka
URL:
Whiteboard: ux
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 08:40 UTC by Kobi Hakimi
Modified: 2015-02-16 13:35 UTC (History)
10 users (show)

Fixed In Version: vt3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-16 13:35:27 UTC
oVirt Team: ---


Attachments (Terms of Use)
C1 deleted in the right pane but in the left pane you still see it (87.04 KB, image/png)
2014-08-07 08:40 UTC, Kobi Hakimi
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 32095 master MERGED webadmin: refresh system tree when removing last leaf Never
oVirt gerrit 32165 ovirt-engine-3.5 MERGED webadmin: refresh system tree when removing last leaf Never

Description Kobi Hakimi 2014-08-07 08:40:08 UTC
Created attachment 924789 [details]
C1 deleted in the right pane but in the left pane you still see it

Description of problem:
When Remove the last claster in the right pane its not take effect in the left pane.

Version-Release number of selected component (if applicable):
 oVirt Engine Version: 3.5.0-0.0.master.20140804172041.git23b558e.el6 

How reproducible:
Always

Steps to Reproduce:
1. Create Data center named DC1.
2. Create Cluster named C1 which its DC is DC1.
3. Expend All the left pane and see the new Data Center DC1 and new Cluster C1.
4. Go to Clusters tab and remove C1.

Actual results:
C1 deleted in the right pane but in the left pane you still see it.
then you have to refresh the left pane to see the changes take effect.

Expected results:
in remove operation refresh the left pane.

Additional info:
see attached snapshot
in other scenarios its works.

Comment 1 Oved Ourfali 2014-08-10 06:35:26 UTC
Einav - does that usually refresh automatically?
Is this one infra or ux?

Comment 2 Einav Cohen 2014-08-13 17:56:02 UTC
(In reply to Oved Ourfali from comment #1)
> Einav - does that usually refresh automatically?
> Is this one infra or ux?

Alex already took care of automatically refreshing the tree after performing actions, so not sure why we have this issue. Assigning to Alex [ux].

Comment 3 Alexander Wels 2014-08-27 17:59:28 UTC
There was a problem in the deep compare that if the comparison node had an element but the node that we checked against didn't, it would skip over it thinking they were the same. Posted a patch that fixes this issue.

Comment 4 Einav Cohen 2014-09-08 19:17:54 UTC
Alexander - MODIFIED?

Comment 5 Alexander Wels 2014-09-09 12:09:27 UTC
Yes sorry forgot to change it.

Comment 6 Eyal Edri 2014-09-10 20:21:35 UTC
fixed in vt3, moving to on_qa.
if you believe this bug isn't released in vt3, please report to rhev-integ@redhat.com

Comment 7 Jiri Belka 2014-09-16 08:43:38 UTC
ok, rhevm-webadmin-portal-3.5.0-0.12.beta.el6ev.noarch


Note You need to log in before you can comment on or make changes to this bug.